#include <xolatile/xprite.h>

#include <stdio.h>

#define STB_IMAGE_IMPLEMENTATION
#include "stb_image.h"

int main (int argc, char * * argv) {
	int index  = 0;

	fatal_failure (argc <= 1, "xonverter input array");

	for (index = 1; index < argc; ++index) {
		int width  = 0;
		int height = 0;

		unsigned int * data = null;

		printf ("Converting: %s\n", argv [index]);

		data = (unsigned int *) stbi_load (argv [index], & width, & height, null, 4);

		sprite_export (argv [index], width, height, data);

		data = deallocate (data);
	}

	return (log_success);
}
