#include <xolatile/xprite.h>
#include <xolatile/xlesses.h>

int main (int argc, char * * argv) {
	int width  = 0;
	int height = 0;

	unsigned int * data = null;

	fatal_failure (argc != 2, "xiewer input");

	xlesses_configure (640, 480, "Xiewer");

	data = sprite_import (argv [1], & width, & height);

	sprite_swap_channels (data, width, height);

	while (xlesses_active == true) {
		xlesses_render_background_colour (0xff00ffff);

		xlesses_render_sprite (data, width, height, 0, 0);

		xlesses_synchronize ();
	}

	data = deallocate (data);

	return (log_success);
}
